(hall-description
  (name "bugafriend")
  (prefix "")
  (version "0.1")
  (author "Vivi Langdon")
  (email "puttabutta@gmail.com")
  (copyright (2024))
  (synopsis "")
  (description "")
  (home-page "")
  (license gpl3+)
  (dependencies
    `(("guile-goblins" (goblins) ,guile-goblins)
      ("guile-ncurses" (ncurses curses) ,guile-ncurses)))
  (skip ())
  (features
    ((guix #f)
     (use-guix-specs-for-dependencies #f)
     (native-language-support #f)
     (licensing #t)))
  (files (libraries
           ((directory
              "bugafriend"
              ((scheme-file "logging")
               (directory
                 "utils"
                 ((scheme-file "array-list")
                  (scheme-file "concurrent-queue")
                  (scheme-file "registry")))
               (directory
                 "ncurses"
                 ((scheme-file "vat") (scheme-file "stuff")))
               (scheme-file "event-loop")
               (scheme-file "user")
               (scheme-file "room")
               (scheme-file "hconfig")
               (scheme-file "ui")))
            (directory "scripts" ((in-file "run-client")))
            (scheme-file "bugafriend")))
         (tests ((directory "tests" ())))
         (programs
           ((directory
              "scripts"
              ((text-file "run-client")))))
         (documentation
           ((org-file "README")
            (symlink "README" "README.org")
            (text-file "HACKING")
            (text-file "COPYING")
            (directory
              "doc"
              ((texi-file "version")
               (text-file ".dirstamp")
               (text-file "stamp-vti")
               (info-file "bugafriend")
               (info-file "version")
               (texi-file "bugafriend")))
            (text-file "NEWS")
            (text-file "AUTHORS")
            (text-file "ChangeLog")))
         (infrastructure
           ((scheme-file "guix")
            (text-file ".gitignore")
            (scheme-file "hall")))))
